#ifndef __MYPILE_U32_H__
#define __MYPILE_U32_H__

#include <stdio.h>
#include <stdlib.h>
#include <stdbool.h>
#include <stdint.h>
#include <assert.h>


typedef struct maillon_u32
{
    struct maillon_u32 *next;
    uint32_t data;
} maillon_u32;


typedef struct pile_u32
{
    maillon_u32 *tete;
    uint64_t taille;
} pile_u32;


pile_u32 *Pile_u32_new();
uint32_t Pile_u32_pop();
_Bool Pile_u32_isEmpty(pile_u32 *p);
void Pile_u32_push(pile_u32 *p, uint32_t d);
maillon_u32* Maillon_u32_new();


#endif