#ifndef __MYPILE__H__
#define __MYPILE__H__

#include <stdio.h>
#include <stdlib.h>
#include <stdbool.h>
#include <stdint.h>
#include <assert.h>


typedef struct maillon
{
    struct maillon *next;
} maillon;


typedef struct pile
{
    maillon *tete;
    uint64_t taille;
    size_t size_element;
} pile;


pile *Pile_new(size_t size_element);
maillon* Pile_pop(pile *p);
_Bool Pile_isEmpty(pile *p);
void Pile_push(pile *p, maillon *m);
void Maillon_free(maillon *m);
maillon* Maillon_new(pile *p);


#endif